//+------------------------------------------------------------------+
//|                                                   RGB-system.mq4 |
//|                                                    Strukov Roman |
//|                                                   srb-78@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Strukov Roman"
#property link      "srb-78@mail.ru"


#property indicator_separate_window
#property  indicator_buffers 4
#property  indicator_color1  Red
#property  indicator_color2  Green
#property  indicator_color3  Blue
#property  indicator_color4  Black

extern int Period_MA = 900;
extern int History   = 5000;

double GBP[],EUR[],JPY[],USD[]; 

int init()
  {
   SetIndexBuffer(0, GBP);
   SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,2);
   SetIndexBuffer(1, EUR);    
   SetIndexStyle(1,DRAW_LINE,STYLE_SOLID,2);
   SetIndexBuffer(2, JPY);
   SetIndexStyle(2,DRAW_LINE,STYLE_SOLID,2);
   SetIndexBuffer(3, USD);
   SetIndexStyle(3,DRAW_LINE,STYLE_SOLID,2);
   IndicatorShortName("RGB system");
   return;
  }

int start()
  {
  int i, Counted_bars;
      Counted_bars = IndicatorCounted(); 
      i = Bars-Counted_bars-1; 
      if (i>History-1) i=History-1;      
 
  while(i>=0) 
    {
     USD[i] = -(iClose("EURUSD",NULL,i)-iMA("EURUSD",NULL,Period_MA,0,1,0,i))-
               (iClose("GBPUSD",NULL,i)-iMA("GBPUSD",NULL,Period_MA,0,1,0,i))+
               (iClose("USDJPY",NULL,i)-iMA("USDJPY",NULL,Period_MA,0,1,0,i))/iClose("USDJPY",NULL,i);
     EUR[i] =  (iClose("EURUSD",NULL,i)-iMA("EURUSD",NULL,Period_MA,0,1,0,i))+
               (iClose("EURUSD",NULL,i)*iClose("USDJPY",NULL,i)-iMA("EURUSD",NULL,Period_MA,0,1,0,i)*iMA("USDJPY",NULL,Period_MA,0,1,0,i))/iClose("USDJPY",NULL,i)+
               (iClose("EURUSD",NULL,i)/iClose("GBPUSD",NULL,i)-iMA("EURUSD",NULL,Period_MA,0,1,0,i)/iMA("GBPUSD",NULL,Period_MA,0,1,0,i))*iClose("GBPUSD",NULL,i);
     GBP[i] =  (iClose("GBPUSD",NULL,i)-iMA("GBPUSD",NULL,Period_MA,0,1,0,i))+
               (iClose("GBPUSD",NULL,i)*iClose("USDJPY",NULL,i)-iMA("GBPUSD",NULL,Period_MA,0,1,0,i)*iMA("USDJPY",NULL,Period_MA,0,1,0,i))/iClose("USDJPY",NULL,i)-
               (iClose("EURUSD",NULL,i)/iClose("GBPUSD",NULL,i)-iMA("EURUSD",NULL,Period_MA,0,1,0,i)/iMA("GBPUSD",NULL,Period_MA,0,1,0,i))*iClose("GBPUSD",NULL,i);
     JPY[i] = -(iClose("USDJPY",NULL,i)-iMA("USDJPY",NULL,Period_MA,0,1,0,i))/iClose("USDJPY",NULL,i)-
               (iClose("EURUSD",NULL,i)*iClose("USDJPY",NULL,i)-iMA("EURUSD",NULL,Period_MA,0,1,0,i)*iMA("USDJPY",NULL,Period_MA,0,1,0,i))/iClose("USDJPY",NULL,i)-
               (iClose("GBPUSD",NULL,i)*iClose("USDJPY",NULL,i)-iMA("GBPUSD",NULL,Period_MA,0,1,0,i)*iMA("USDJPY",NULL,Period_MA,0,1,0,i))/iClose("USDJPY",NULL,i);
     i--;
    }
   return;
  }

